package ru.yandex.webmaster3.core.events2.events.recheck;

import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.webmaster3.core.antispam.sanctions.data.AntispamSanctionEnum;
import ru.yandex.webmaster3.core.events2.HostEventData;
import ru.yandex.webmaster3.core.events2.HostEventType;

import java.util.Set;

/**
 * @author avhaliullin
 */
public class SanctionsRecheckRequestedEvent extends HostEventData {
    private final Set<String> sanctions;

    public SanctionsRecheckRequestedEvent(@JsonProperty("sanctions") Set<String> sanctions) {
        super(HostEventType.SANCTIONS_RECHECK_REQUESTED);
        this.sanctions = sanctions;
    }

    public Set<String> getSanctions() {
        return sanctions;
    }
}
